Package twisted :: Package conch :: Package ssh :: Module ttymodes

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.ttymodes

Variable Summary
`int` | `CS7`
`int` | `CS8`
`int` | `ECHO`
`int` | `ECHOCTL`
`int` | `ECHOE`
`int` | `ECHOK`
`int` | `ECHOKE`
`int` | `ECHONL`
`int` | `ICANON`
`int` | `ICRNL`
`int` | `IEXTEN`
`int` | `IGNCR`
`int` | `IGNPAR`
`int` | `IMAXBEL`
`int` | `INLCR`
`int` | `INPCK`
`int` | `ISIG`
`int` | `ISTRIP`
`int` | `IUCLC`
`int` | `IXANY`
`int` | `IXOFF`
`int` | `IXON`
`int` | `NOFLSH`
`int` | `OCRNL`
`int` | `OLCUC`
`int` | `ONLCR`
`int` | `ONLRET`
`int` | `ONOCR`
`int` | `OPOST`
`int` | `PARENB`
`int` | `PARMRK`
`int` | `PARODD`
`int` | `PENDIN`
`int` | `TOSTOP`
`int` | `TTY_OP_ISPEED`
`int` | `TTY_OP_OSPEED`
`dict` | `TTYMODES`
`int` | `VDISCARD`
`int` | `VDSUSP`
`int` | `VEOF`
`int` | `VEOL`
`int` | `VEOL2`
`int` | `VERASE`
`int` | `VFLUSH`
`int` | `VINTR`
`int` | `VKILL`
`int` | `VLNEXT`
`int` | `VQUIT`
`int` | `VREPRINT`
`int` | `VSTART`
`int` | `VSTATUS`
`int` | `VSTOP`
`int` | `VSUSP`
`int` | `VSWTCH`
`int` | `VWERASE`
`int` | `XCASE`

Variable Details

### CS7

  Type:
    `int`
  Value:

        90

### CS8

  Type:
    `int`
  Value:

        91

### ECHO

  Type:
    `int`
  Value:

        53

### ECHOCTL

  Type:
    `int`
  Value:

        60

### ECHOE

  Type:
    `int`
  Value:

        54

### ECHOK

  Type:
    `int`
  Value:

        55

### ECHOKE

  Type:
    `int`
  Value:

        61

### ECHONL

  Type:
    `int`
  Value:

        56

### ICANON

  Type:
    `int`
  Value:

        51

### ICRNL

  Type:
    `int`
  Value:

        36

### IEXTEN

  Type:
    `int`
  Value:

        59

### IGNCR

  Type:
    `int`
  Value:

        35

### IGNPAR

  Type:
    `int`
  Value:

        30

### IMAXBEL

  Type:
    `int`
  Value:

        41

### INLCR

  Type:
    `int`
  Value:

        34

### INPCK

  Type:
    `int`
  Value:

        32

### ISIG

  Type:
    `int`
  Value:

        50

### ISTRIP

  Type:
    `int`
  Value:

        33

### IUCLC

  Type:
    `int`
  Value:

        37

### IXANY

  Type:
    `int`
  Value:

        39

### IXOFF

  Type:
    `int`
  Value:

        40

### IXON

  Type:
    `int`
  Value:

        38

### NOFLSH

  Type:
    `int`
  Value:

        57

### OCRNL

  Type:
    `int`
  Value:

        73

### OLCUC

  Type:
    `int`
  Value:

        71

### ONLCR

  Type:
    `int`
  Value:

        72

### ONLRET

  Type:
    `int`
  Value:

        75

### ONOCR

  Type:
    `int`
  Value:

        74

### OPOST

  Type:
    `int`
  Value:

        70

### PARENB

  Type:
    `int`
  Value:

        92

### PARMRK

  Type:
    `int`
  Value:

        31

### PARODD

  Type:
    `int`
  Value:

        93

### PENDIN

  Type:
    `int`
  Value:

        62

### TOSTOP

  Type:
    `int`
  Value:

        58

### TTY_OP_ISPEED

  Type:
    `int`
  Value:

        128

### TTY_OP_OSPEED

  Type:
    `int`
  Value:

        129

### TTYMODES

  Type:
    `dict`
  Value:

        {1: 'VINTR',
         2: 'VQUIT',
         3: 'VERASE',
         4: 'VKILL',
         5: 'VEOF',
         6: 'VEOL',
         7: 'VEOL2',
         8: 'VSTART',
        ...

### VDISCARD

  Type:
    `int`
  Value:

        18

### VDSUSP

  Type:
    `int`
  Value:

        11

### VEOF

  Type:
    `int`
  Value:

        5

### VEOL

  Type:
    `int`
  Value:

        6

### VEOL2

  Type:
    `int`
  Value:

        7

### VERASE

  Type:
    `int`
  Value:

        3

### VFLUSH

  Type:
    `int`
  Value:

        15

### VINTR

  Type:
    `int`
  Value:

        1

### VKILL

  Type:
    `int`
  Value:

        4

### VLNEXT

  Type:
    `int`
  Value:

        14

### VQUIT

  Type:
    `int`
  Value:

        2

### VREPRINT

  Type:
    `int`
  Value:

        12

### VSTART

  Type:
    `int`
  Value:

        8

### VSTATUS

  Type:
    `int`
  Value:

        17

### VSTOP

  Type:
    `int`
  Value:

        9

### VSUSP

  Type:
    `int`
  Value:

        10

### VSWTCH

  Type:
    `int`
  Value:

        16

### VWERASE

  Type:
    `int`
  Value:

        13

### XCASE

  Type:
    `int`
  Value:

        52

Generated by Epydoc 1.1 on Thu May 8 13:18:20 2003 | http://epydoc.sf.net